this.medical_kit_blueprint <- this.inherit("scripts/crafting/blueprint_secret", {
	m = {},
	function create()
	{
		this.blueprint_secret.create();
		this.m.ID = "blueprint.medical_kit";
		this.m.PreviewCraftable = this.new("scripts/items/accessory/medical_kit_item");
		this.m.Cost = 250;
		this.m.SecretCode = "MedicalKitSecret"
		local ingredients = [
			{
				Script = "scripts/items/accessory/antidote_item",
				Num = 2
			},
			{
				Script = "scripts/items/accessory/bandage_item",
				Num = 2
			},
			{
				Script = "scripts/items/trade/cloth_rolls_item",
				Num = 1
			}
		];
		this.init(ingredients);
	}

	function onCraft( _stash )
	{
		_stash.add(this.new("scripts/items/accessory/medical_kit_item"));
	}
});
